Ver estatísticas do link
curl --request GET \
--url https://api.notifique.dev/v1/short-links/{id}/analytics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/short-links/{id}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/short-links/{id}/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/short-links/{id}/analytics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"granularity": "day",
"range": {
"start": "2026-04-13T00:00:00.000Z",
"end": "2026-04-20T23:59:59.999Z"
},
"series": [
{
"bucketStart": "2026-04-13T00:00:00.000Z",
"clicksTotal": 5
},
{
"bucketStart": "2026-04-14T00:00:00.000Z",
"clicksTotal": 12
},
{
"bucketStart": "2026-04-15T00:00:00.000Z",
"clicksTotal": 8
}
],
"breakdown": {
"country": [
{
"key": "BR",
"clicks": 20
},
{
"key": "US",
"clicks": 3
},
{
"key": "(unknown)",
"clicks": 2
}
],
"deviceType": [
{
"key": "mobile",
"clicks": 18
},
{
"key": "desktop",
"clicks": 7
}
]
}
}
}{
"success": false,
"error": "Bad Request",
"message": "Invalid start or end",
"code": "BAD_REQUEST"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "Not Found",
"message": "Not Found",
"code": "NOT_FOUND"
}Short links
Ver estatísticas do link
Mostra cliques e métricas agregadas de um link curto.
GET
/
v1
/
short-links
/
{id}
/
analytics
Ver estatísticas do link
curl --request GET \
--url https://api.notifique.dev/v1/short-links/{id}/analytics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/short-links/{id}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/short-links/{id}/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/short-links/{id}/analytics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"granularity": "day",
"range": {
"start": "2026-04-13T00:00:00.000Z",
"end": "2026-04-20T23:59:59.999Z"
},
"series": [
{
"bucketStart": "2026-04-13T00:00:00.000Z",
"clicksTotal": 5
},
{
"bucketStart": "2026-04-14T00:00:00.000Z",
"clicksTotal": 12
},
{
"bucketStart": "2026-04-15T00:00:00.000Z",
"clicksTotal": 8
}
],
"breakdown": {
"country": [
{
"key": "BR",
"clicks": 20
},
{
"key": "US",
"clicks": 3
},
{
"key": "(unknown)",
"clicks": 2
}
],
"deviceType": [
{
"key": "mobile",
"clicks": 18
},
{
"key": "desktop",
"clicks": 7
}
]
}
}
}{
"success": false,
"error": "Bad Request",
"message": "Invalid start or end",
"code": "BAD_REQUEST"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "Not Found",
"message": "Not Found",
"code": "NOT_FOUND"
}Autorizações
ntfShortLinksBearerAuthntfShortLinksApiKeyHeader
API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx
Parâmetros de caminho
ID (cuid) do link.
Parâmetros de consulta
Agregação temporal. Qualquer valor que não seja day é tratado como hour.
Opções disponíveis:
hour, day Início do intervalo (inclusive), ISO 8601.
Fim do intervalo (inclusive), ISO 8601.
Esta página foi útil?
⌘I

